summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorP. J. McDermott <pjm@nac.net>2013-08-17 22:13:32 (EDT)
committer P. J. McDermott <pjm@nac.net>2013-08-17 22:13:32 (EDT)
commitc1d996ad82a94df4edccfb751ea65c8056844cc1 (patch)
tree188e2683e851c2e75288443929455b70e7d036be
parent68cd3755e18c5eb0937acf977dbcdb7f409ab827 (diff)
opkbuild: Enable ob-genchanges.
-rw-r--r--src/opkbuild.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/src/opkbuild.sh b/src/opkbuild.sh
index a63bde4..ebf010d 100644
--- a/src/opkbuild.sh
+++ b/src/opkbuild.sh
@@ -284,6 +284,9 @@ build_source()
if ! OB_DO_SOURCE='true' '@@BINDIR@@/ob-buildopk'; then
exit 1
fi
+ if ! OB_DO_SOURCE='true' '@@BINDIR@@/ob-genchanges'; then
+ exit 1
+ fi
rm -Rf "src-${src}.data" || ob_error "$(ob_get_msg 'cant_rm_src_pkg_data')"
}
@@ -350,8 +353,7 @@ build()
;;
esac
- # TODO: Remove the ":" when ob-genchanges is implemented.
- if ! : '@@BINDIR@@/ob-genchanges'; then
+ if ! '@@BINDIR@@/ob-genchanges'; then
exit 1
fi
}